summaryrefslogtreecommitdiffstats
path: root/network/bluejeans/bluejeans.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/bluejeans/bluejeans.SlackBuild')
-rw-r--r--network/bluejeans/bluejeans.SlackBuild60
1 files changed, 33 insertions, 27 deletions
diff --git a/network/bluejeans/bluejeans.SlackBuild b/network/bluejeans/bluejeans.SlackBuild
index 5544a07e03..7b5a72f5e1 100644
--- a/network/bluejeans/bluejeans.SlackBuild
+++ b/network/bluejeans/bluejeans.SlackBuild
@@ -1,8 +1,8 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for bluejeans
-# Copyright 2019 Igor Alexandrov <igor.s.alexandrov@gmail.com>
+# Copyright 2019-2021 Igor Alexandrov <igor.alexandrov@outlook.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,10 +22,13 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
+
PRGNAM=bluejeans
-VERSION=${VERSION:-1.37.22}
+VERSION=${VERSION:-2.22.0.87}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$(uname -m)" in
@@ -35,52 +38,55 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+SRCNAM=BlueJeans
+EXECNAM=bluejeans-v2
+
if [ "$ARCH" != "x86_64" ]; then
echo "$ARCH is not supported for $PRGNAM-$VERSION"
- exit -1
+ exit 1
fi
-set -e
+set -eu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $PKG
-rpm2cpio $CWD/$PRGNAM-$VERSION.$ARCH.rpm | cpio -idmv
-
+rpm2cpio $CWD/${SRCNAM}_${VERSION}.rpm | cpio -idmv
chown -R root:root .
-
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
- -o -perm 511 \) -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
find . -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-chmod 755 opt/bluejeans/bluejeans
-patchelf --replace-needed libudev.so.0 libudev.so opt/bluejeans/bluejeans-bin
-
-mkdir -p usr/{bin,doc/$PRGNAM-$VERSION,share/{applications,icons}}
+sed -i \
+ 's#Categories=AudioVideo;#Categories=Network;#
+ s#^Exec=.*$#Exec=/usr/bin/bluejeans %U#' \
+ usr/share/applications/bluejeans-v2.desktop
-ln -s ../../opt/$PRGNAM/$PRGNAM usr/bin
-ln -s ../../../opt/$PRGNAM/$PRGNAM.desktop usr/share/applications
-ln -s ../../../opt/$PRGNAM/credits.html usr/doc/$PRGNAM-$VERSION
-cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+mkdir -p usr/{bin,doc/$PRGNAM-$VERSION}
+ln -s ../../opt/$SRCNAM/$EXECNAM usr/bin/$PRGNAM
+ln -s ../../../opt/$SRCNAM/LICENSE.electron.txt usr/doc/$PRGNAM-$VERSION
+ln -s ../../../opt/$SRCNAM/LICENSES.chromium.html usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-(cd opt/$PRGNAM/icons; find . -type d -exec mkdir -p ../../../usr/share/icons/{} \;)
-for i in $(find opt/$PRGNAM/icons -type f); do
- sd=$(echo $i | cut -d/ -f4-)
- ln -s ../../$(echo $sd | sed 's:[^/][^/]*:..:g')/$i usr/share/icons/$sd
-done
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
-/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE